curl
curl -X GET "https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW" \
-H "X-API-Key: $EVE_COMPANY_KEY"const res = await fetch("https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW", {
method: "GET",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY },
});
const data = await res.json();import os, requests
res = requests.get(
"https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"businessEntityId": "<string>",
"companyId": "<string>",
"complianceFrameworkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"organizationUnitId": "<string>",
"scope": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Compliance Reviews
Get details of a specific compliance review created by this partner.
deprecated
Get details of a specific compliance review created by this partner.
Access Control: You can only access reviews created by your partner account.
Response includes:
id- Review unique identifiername- Review display namescope- Review scope descriptionbusinessEntityId- Same value asorganizationUnitId, kept for v1 clientsorganizationUnitId- Associated organization unit, always equal tobusinessEntityIdcompanyId- Parent companycomplianceFrameworkId- Framework used for analysiscreatedAt,updatedAt- Timestamps
GET
/
v1
/
compliance-reviews
/
{reviewId}
curl
curl -X GET "https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW" \
-H "X-API-Key: $EVE_COMPANY_KEY"const res = await fetch("https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW", {
method: "GET",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY },
});
const data = await res.json();import os, requests
res = requests.get(
"https://sandbox-api.sannos.ai/v1/compliance-reviews/01ABCREVIEW",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v1/compliance-reviews/{reviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"businessEntityId": "<string>",
"companyId": "<string>",
"complianceFrameworkId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"organizationUnitId": "<string>",
"scope": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Response
Successful Response